<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Reserva extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $table="reservas";
    protected $dates = ['deleted_at'];

    public function getCliente()
    {
        return $this->hasOne(Cliente::class, 'id', 'cliente_id');
    }

    public function getUser()
    {
        return $this->hasOne(User::class, 'id', 'usuario_id');
    }

    public function getTipoCaixa()
    {
        return $this->hasOne(ConfCaixa::class, 'id', 'confcaixa_id');
    }

    public function getDepCliente()
    {
        return $this->hasOne(DepCliente::class, 'id', 'departamento_id');
    }
    
    public function getCaixa()
    {
        return $this->hasMany(Caixa::class, 'reserva_id','id');
    }

    public function getArmazem()
    {
        return $this->hasOne(ArmazemModel::class, 'id', 'armazem_id');
    }
}
